"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkix import Chem
from rdkix import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkix-pypi/rdkix-pypi/build/temp.macosx-11.0-arm64-cpython-310/rdkix_install/share/RDKix/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x105625d80>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x105625e10>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x105625ea0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x105625f30>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x105625fc0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x105626050>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x1056260e0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x105626170>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x105626200>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x105626290>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x105626320>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x1056263b0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x105626440>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x1056264d0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x105626560>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x1056265f0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x105626680>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x105626710>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x1056267a0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x105626830>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x1056268c0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x105626950>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x1056269e0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x105626a70>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x105626b90>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x105626b00>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x105626c20>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x105626cb0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x105626d40>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x105626dd0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x105626e60>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x105626ef0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x105626f80>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x105627010>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x1056270a0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x105627130>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x1056271c0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x105627250>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1056272e0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x105627370>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x105627400>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x105627490>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x105627520>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x1056275b0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x105627640>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x1056276d0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x105627760>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x1056277f0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x105627880>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x105627910>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x1056279a0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x105627a30>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x105627ac0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x105627b50>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x105627be0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x105627c70>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x105627d00>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x105627d90>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x105627e20>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x105627eb0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x105627f40>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x105654040>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x1056540d0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x105654160>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x1056541f0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x1056543a0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x105654280>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x105654430>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x1056544c0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x105654550>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x1056545e0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x105654670>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x105654790>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x105654700>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x105654820>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x1056548b0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x105654940>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x105654a60>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x1056549d0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x105654af0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x105654b80>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x105654c10>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x105654ca0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x105654d30>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x105654dc0>)]
name: str = 'fr_HOCCN'
